Skip to main content
`Ctrl`+`K`

# PCGAMGGetType

Get the type of algorithm `PCGAMG` will use

## Synopsis

    #include "petscpc.h"
    #include "petscksp.h"
    PetscErrorCode PCGAMGGetType(PC pc, PCGAMGType *type)

Collective

## Input Parameter

- pc - the preconditioner context

## Output Parameter

- type - the type of algorithm used

## See Also

the Users Manual section on PCGAMG, the Users Manual section on PCMG, KSP: Linear System Solvers, `PCGAMG`, `PCGAMGSetType()`, `PCGAMGType`

## Level

intermediate

## Location

src/ksp/pc/impls/gamg/gamg.c

## Implementations

PCGAMGGetType_GAMG() in src/ksp/pc/impls/gamg/gamg.c

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages